MN.delete method doesn't remove the record in the systemmetadata
Status: Closed Start date: 2014-09-08

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version:    

Milestone: CCI-1.1.5 Story Points:  

Product Version: *   

Description

I used a curl command to delete the an object from mn-sandbox-ucsb-1. However, I still can read the the system metadata:

https://mn-sandbox-ucsb-1.test.dataone.org/knb/d1/mn/v1/meta/tao.13069.1

In the systemmetadata table:

guid     | serial_version |    date_uploaded    |              rights_holder               |             checksum             | checksum_algorithm |  

origin_member_node    | authoritive_member_node |      date_modified      |                submitter                 |           object_format           

| size | archived | replication_allowed | number_replicas | obsoletes | obsoleted_by

-------------+----------------+---------------------+------------------------------------------+----------------------------------+--------------------+--------------------

-----+-------------------------+-------------------------+------------------------------------------+------------------------------------+------+----------+---------------

------+-----------------+-----------+--------------

tao.13069.1 | 2              | 2014-09-08 16:00:00 | uid=tao,o=NCEAS,dc=ecoinformatics,dc=org |

40cd87110a8f7d5db9cab22b68d6c948 | MD5                | urn:node:mnSandboxUCSB1 | urn:node:mnSandboxUCSB1 | 2014-09-08

15:56:36.264 | uid=tao,o=NCEAS,dc=ecoinformatics,dc=org | eml://ecoinformatics.org/eml-2.1.1 | 640  | t        | f               

History

#1 - 2014-09-08 23:46 - Jing Tao

- Assignee set to Jing Tao

#2 - 2014-09-18 23:32 - Jing Tao

- Category set to Metacat

- Milestone changed from None to CCI-1.1.5

In the SystemmetadataMap class in Metacat, the code to remove system metadata table was added to the method delete. The code is in both

Metacat trunk and Metacat 2.4 branch.

#3 - 2014-09-18 23:32 - Jing Tao

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0
